.f-left {
	float: right;
}
.f-right {
	float: left;
}

/*Home page 01 rtl css*/
.grb__social.f-right ul li:last-child {
	margin-left: 0;
	margin-right: 5px;
}
.read-btn:hover i {
	margin-right: 10px;
}
.grb__cta ul li {
	padding-right: 0;
	padding-left: 62px;
}
.grb__cta ul li:last-child {
	padding-left: 0;
}
.grb__cta ul li::before {
	left: 29px;
	right: auto;
}
.cta__icon {
	float: right;
	margin-right: 0;
	margin-left: 10px;
}
.header__btn {
	margin-left: 0;
	float: left;
	margin-right: 26px;
}
.grb-btn i {
	margin-right: 10px;
	margin-left: 0;
}
.header__search {
	margin-left: 0;
	margin-right: 45px;
}
.main-menu ul li .sub-menu {
	right: 0;
	left: auto;
}
.main-menu ul li.menu-item-has-children::after {
	left: -11px;
	right: auto;
}
.main-menu.main-menu-1 nav > ul > li::before {
	right: -12px;
	left: auto;
}
.logo-bg-1 {
	right: -118px;
	left: auto;
}
.header-main-1::after {
	left: 0;
	right: auto;
}
.menu-bg-1 {
	right: -112px;
	left: auto;
	top: 0px;
	transform: rotate(-0.1deg);
}
.hero-s-1 {
	right: -100px;
	left: auto;
}
.hero-s-2 {
	right: -69px;
	left: auto;
}
.hero-content-btn {
	float: right;
	margin-left: 30px;
	margin-right: 0;
}
.hero-video-btn .grb-video {
	margin-right: 0;
	margin-left: 10px;
}
div.slider-active .swiper-button-prev, .slider-active .swiper-button-next{
	background-image: none;
}
.slider-area .slider-nav {
	left: 65px;
	right: auto;
}
.about__img .p-element .ab-border {
	right: -70px;
	left: auto;
}
@media only screen and (min-width: 992px) and (max-width: 1200px) {
	.about__img .p-element .ab-border {
		right: -25px;
		left: auto;
	}
}
.about__img .p-element .ab-image {
	right: -210px;
	left: auto;
}
.about__img .p-element .award {
	left: 65px;
	right: auto;
}
.section-title .border-left::before {
	right: 0;
	left: auto;
}
.points-heading .p-icon {
	margin-right: 0;
	margin-left: 25px;
}
.about-points li {
	float: right;
}
.choosing__information {
	margin-left: 0;
	margin-right: -115px;
}
.subscribe {
	right: -30px;
	left: auto;
}
.choosing__area .section-title{
	text-align: right;
}
.choosing__area .choosing__text {
	text-align: right;
}
.choosing__number {
	margin-right: 0;
	margin-left: 28px;
}
.counter-left .section-title h2 {
	padding-right: 0;
	padding-left: 200px;
}
.counter-right {
	text-align: left;
}
.counter-right-img {
	margin-left: 0;
	margin-right: -30px;
}
.single-counter-icon {
	float: right;
}
.counter-content-left {
	padding: 50px 50px 0px 70px;
}
.dot-dot {
	left: 0;
	right: auto;
}
.experience-text {
	left: 145px;
	right: auto;
}
.testimonial-quote {
	left: 68px;
	right: auto;
}
.portfolio-area .portfolio-container {
	max-width: calc(((100% - 1170px) / 2) + 1170px);
	margin-right: auto;
	margin-left: 0;
}
.portfolio-area .portfolio-active .swiper-button-prev, .portfolio-active .swiper-button-next {
	background-image: none !important;
}
.blog-date {
	left: 0;
	right: auto;
}
.read-btn i {
	margin-left: 0;
	margin-right: 5px;
}
.newsletter-text p {
	padding-right: 0;
	padding-left: 100px;
}
.grb__social.footer-social li:first-child {
	margin-right: 0;
	margin-left: 2px;
}
.copyright-list li {
	padding-left: 0;
	margin-left: 0;
	margin-right: 17px;
	padding-right: 18px;
}
.copyright-list li {
	border-right: 1px solid #bbbbbb;
	border-left: none;
}
.copyright-list li:first-child {
	margin-right: 0;
	padding-right: 0;
}
.choosing__area .choosing__img {
	text-align: right;
}

/*Home 2 RTL Css*/
.m-btn2 i {
	margin-left: 0;
	margin-right: 3px;
}
.m-header-btn {
	margin-left: 0;
	margin-right: 20px;
}
.m-btn {
	margin-right: 0;
	margin-left: 10px;
}
.header-main-5 .header__search {
	margin-left: 0;
	margin-right: 20px;
	margin-top: 30px;
}
.about__content.st-2 {
	padding-right: 105px;
	padding-left: 0;
	margin-right: 0;
	margin-left: -44px;
}
.ab-experience-icon {
	float: right;
	margin-left: 30px;
	margin-right: 0;
}
.service-box_icon {
	right: 20px;
	left: auto;
}
.service-box_btn i {
	margin-left: 0;
	margin-right: 5px;
}
.service-box-text {
	text-align: right;
}
.video-content-area {
	right: 0;
	left: auto;
}
.choosing-fl-right {
	margin-left: 0;
	margin-right: 32px;
}
.choosing__information.st-2 {
	margin-right: 0;
}
.growbiz-icon i {
	margin-right: 0;
	margin-left: 12px;
}
.t-author-desig {
	margin-left: 0;
	margin-right: 12px;
}
.blog-post-img {
	float: right;
	margin-right: 0;
	margin-left: 30px;
}
.blog-category {
	margin-right: 0;
	margin-left: 30px;
}
.grb__social.footer-social-2 li:first-child {
	margin-right: 0;
	margin-left: 5px;
}
.ab-experience-content {
	float: right;
}
.ab-experience-p{
	padding-left: 0;
	padding-right: 40px;
}

/*Home 3 RTL Css*/
.h3-bar {
	left: 20px;
	right: auto;
}
.offset_search_button {
	left: 0;
	right: auto;
}
.contact-list > a i {
	margin-right: 0;
	margin-left: 10px;
}
.menu-cta-3 {
	float: left;
	align-items: center;
	padding-top: 25px;
	margin-left: 0;
	margin-right: 35px;
}
.cta__content {
	text-align: left;
}
.header__top .header-cta .cta__content {
	text-align: right;
}
.grb__social.hero-social {
	right: 32px;
	left: auto;
}
.hero-area .swiper-pagination.st-3 {
	left: 6px;
	right: auto;
}
.h3-s2 {
	position: absolute;
	right: 16%;
	left: auto;
}
.h3-s1 {
	left: -270px;
	right: auto;
}
.about-3-s2 {
	right: -170px;
	left: auto;
}
.features-text {
	text-align: right;
}
.features-icon {
	float: right;
	margin-right: 0;
	margin-left: 25px;
}
.service-box-content.st-3 .service-box-content-icon {
	float: right;
	margin-right: 0;
	margin-left: 30px;
}
.choosing-3-s2 {
	right: -50px;
	left: auto;
}
.choosing-3-s1 {
	right: -75px;
	left: auto;
}
.about-points.st-2 li {
	padding: 0 0px 0 20px;
}
.testimonial-area.st-3 .testimonial-nav-3 {
	float: left;
}
.testimonial-quote.st-3 {
	left: 30px;
	right: auto;
}
.testimonial-img.st-3 {
	margin-right: 0;
	float: right;
	margin-left: 20px;
}
.testimonial-review.st-3 {
	text-align: right;
	margin: 0;
	margin-bottom: 20px;
}
.footer-shape-st-3 {
	right: -160px;
	left: auto;
}
.footer-area.st-3 ul li:hover a {
	padding-right: 24px;
	padding-left: 0;
}
.footer-area.st-3 ul li::before {
	right: -10px;
	left: auto;
}
.footer-area.st-3 ul li:hover::before {
	right: 0;
}
.trail-item::after {
	left: -1px;
	right: auto;
}
.about-details-box-content {
	padding: 45px 50px 0 0px;
	margin-right: -50px;
	margin-left: 0;
}
.skill-area .ab-experience-content {
	float: right;
}
.execute-list li::before {
	right: 0;
	left: auto;
}
.execute-list li {
	padding-left: 0;
	padding-right: 35px;
}
.pricing-plans .nav-tabs {
	left: 0;
	right: auto;
}
.widget-meta-dt li:first-child {
	margin-left: 15px;
	margin-right: 0;
}
.widget-meta-dt li::after {
	left: -8px;
	right: auto;
}
.portfolio-details-img-right {
	padding-right: 0;
	padding-left: 30px;
}
.portfolio-details-img-right {
	padding-left: 0;
	padding-right: 30px;
}
.portfolio-details-img-left {
	margin-left: -30px;
	margin-right: 0;
}
.portfolio-details-category {
	margin-right: 0;
	margin-left: 15px;
}
.portfolio-details-date::before {
	right: 0;
	left: auto;
}
.portfolio-details-date {
	padding-left: 0;
	padding-right: 20px;
}
.portfolio-details-content .choosing__information.portfolio-w-p {
	padding: 0 0px 0 40px;
	margin: 0;
}
.portfolio-details-content .choosing__information.portfolio-w-p .choosing__number{
	margin-right: 0;
	margin-left: 20px;
}
.bs-widget .sidebar--widget__search .sidebar-search-form button {
	left: 0;
	right: auto;
}
.bs-widget .sidebar--widget__search .sidebar-search-form input {
	padding: 0px 20px 0px 0px;
}
.sidebar__post--thumb {
	margin-left: 15px;
	margin-right: 0;
}
.bs-widget-title::before {
	right: 0;
	left: auto;
}
.bs-widget ul li a:hover {
	margin-left: 0;
	margin-right: 17px;
}
.bs-widget ul li a::before {
	right: -17px;
	left: auto;
}
div.tagcloud .tag-cloud-link {
	margin-right: 0;
	margin-left: 10px;
}
.blog__wrapper.mr-35 {
	margin-left: 40px;
	margin-right: 0;
}
.ablog__meta span {
	float: right;
}
.ablog__meta span:first-child {
	margin-right: 0;
	margin-left: 20px;
}
.ablog__meta span i {
	margin-right: 0;
	margin-left: 5px;
}
.ablog__meta span:last-child {
	margin-left: 0;
	margin-right: 20px;
}
.basic-pagination ul li {
	display: inline-block;
	margin-right: 0;
	margin-left: 10px;
}
.grb-btn.grb-btn-icon i {
	margin-left: 0;
	margin-right: 20px;
}
blockquote cite::before {
	margin-right: 0;
	margin-left: 10px;
}
.blog__deatails--tag .blog__tag span {
	margin-right: 0;
	margin-left: 8px;
}
.blog__deatails--tag .blog__tag a {
	margin-right: 0;
	margin-left: 10px;
}
.contact-area .contact-info {
	margin-left: 50px;
	margin-right: 0;
}
.contact-info-icon {
	margin-right: 0;
	margin-left: 20px;
}
.about__img-inner.st-3 {
	margin-right: 0;
	margin-left: 35px;
}
.choosing__img-inner.st-3 {
	margin-right: 0;
	margin-left: 30px;
}
.copyright-area.st-2 .copyright-list.st-2 li {
	border-left: none;
}
.service-box_btn:hover i {
	margin-right: 10px;
}
.service-box-content.st-3 .service-box-content-text {
	text-align: right;
}
.subscribe-form input {
	padding: 0 245px 0 20px;
}
.portfolio-area-slide.pt-90 .swipper-nav-arrow.swiper-button-next {
	left: auto;
	right: 40px;
}

.post-text blockquote p {
	text-align: right;
}
.header-main-1 .header__menu-area {
	border-top-right-radius: 90px;
}
.signup__area .sign__input-wrapper {
	text-align: right;
}
.signup__area .sign__input input {
	text-align: right;
}
.signup__area .sign__input i {
	right: 25px;
	left: auto;
}
.signup__area .sign__input-wrapper {
	text-align: right;
}
.blog__details-wrapper.mr-35{
	margin-left: 40px;
	margin-right: 0;
}
.contact-form input{
	text-align: right;
}
.contact-form textarea{
	text-align: right;
}

.header6-logo {
	margin-right: 0;
	margin-left: 160px;
}
.header6__search {
	padding-right: 0;
	padding-left: 40px;
}

.header6__search::after {
	right: auto;
	left: 18px;
}
.header6-btn {
	margin-left: 0;
	margin-right: 40px;
}
.side-info {
	right: auto;
	left: -100%;
}
.side-info.info-open {
	right: auto;
	left: 0;
}
.creative-project-stat {
	right: auto;
	left: -230px;
}
.banner5-sh4 {
	left: auto;
	right: 55%;
}
.data-users-img {
	left: auto;
	right: -80px;
}
.b-journey-img {
	margin-right: 0;
	margin-left: 40px;
}
.growth-list ul li {
	float: right;
	padding-left: 0;
	padding-right: 40px;
}
.growth-list ul li::before {
	left: auto;
	right: 0;
}
.mail-for-trend-input input[type="button"] {
	right: 0;
	left: 8px;
}
.mail-for-trend-input input {
	text-align: right;
}
.software-area-img2 {
	left: auto;
	right: 59%;
}
.t-downloads-number {
	left: auto;
	right: 90px;
	top: 15px;
}
.blog4-meta ul li i {
	padding-right: 0;
	padding-left: 12px;
}
.blog5-single .blog4-meta {
	padding: 13px 130px 13px 30px;
}

.blog5-meta-date {
	left: auto;
	right: 30px;
}
.footer5-widget2 {
	margin-left: 0;
	margin-right: 70px;
}
.footer-widget.footer5-widget .subscribe-form button {
	right: auto;
	left: 5px;
}
.footer-widget.footer5-widget .subscribe-form input {
	padding: 0 20px 0 160px;
}
.fill-btn.cta4-quotes-btn.wow.fadeInUp2.mr-20.bdevs-el-btn {
	margin-right: 0;
	margin-left: 20px;
}
.mail-for-trend-input {
	max-width: 100%;
}
.main-menu ul li .sub-menu li {
	text-align: right;
}
.software-area-content .software-item {
	margin-right: 0;
	margin-left: 30px;
}
.search-input-box input {
	padding: 0 20px 0 60px;
}
.search-buttton {
	right: auto;
	left: 16px;
}
.shopping-wishlist.d-inline-block.mr-50 {
	margin-right: 0;
	margin-left: 50px;
}
.shopping-cart::before {
	left: auto;
	right: -35px;
}
.search-input-form {
	margin-right: 0;
	margin-left: 40px;
}
.product-price span:first-child {
	margin-right: 0;
	margin-left: 6px;
}
.blog4-meta ul li {
	padding-right: 0;
	margin-right: 0;
	padding-left: 18px;
	margin-left: 18px;
}

.blog4-meta ul li:last-child {
	padding-left: 0;
	border-left: 0;
	margin-left: 0;
}
.blog4-meta ul li {
	border-left: 1px solid #dcdcdc;
	border-right: 0;
}
.s-features-icon {
	margin-right: 0;
	margin-left: 20px;
}
.subscribe-form button.icon-right i {
	margin-right: 10px;
	margin-left: 0;
}
.app-img {
	margin-left: 0;
	margin-right: 15px;
}
.fill-btn.icon-left > i {
	margin-left: 10;
	margin-right: 0px;
}
.header10-bar.d-xl-none.ml-30 {
	margin-left: 0;
	margin-right: 30px;
}
.software-area-img {
	margin-right: 0;
	margin-left: 100px;
}

/*RTL Responsive Start*/

@media (min-width: 1200px) and (max-width: 1400px) {

  .menu-bg-1 {
	right: -52px;
 }
 .about__content.st-2{
 	margin-left: 0;
 }

}

@media (min-width: 992px) and (max-width: 1199px) {
    .portfolio-area .portfolio-container {
		max-width: calc(((100% - 930px) / 2) + 930px);
    } 
	.banner5-main-img-wrapper {
		transform: translateY(-50%) scale(0.7);
		transform-origin: right;
	}
	.creative-project-stat {
		right: 0;
		left: -100px;
	}
	.data-users-img {
		left: auto;
		right: 40px;
	}
    .header__search {
		margin-left: 0;
		margin-right: 20px;
    }
    .blog-post-img {
	  margin-left: 25px;
    }
    .about__content.st-2 {
	  padding-right: 45px;
	  margin-left: 0px;
    }
    .about__img-inner.st-2 {
	  margin: -10px -100px 0px -35px;
    }
    .subscribe-form.st-2 input {
	  padding: 0 65px 0 15px;
	  text-align: left;
    }
    .subscribe-form.st-3 input {
	  text-align: left;
    }
    .footer-area.st-3 ul li:hover a {
	  padding-right: 15px;
    }
    .menu-bg-1 {
	  right: -125px;
    }

}

.download-software-btn::after {
	left: auto;
	right: calc(100% + 5px);
}

@media (min-width: 768px) and (max-width: 991px) {
	.creative-project-stat {
		right: auto;
		left: -30px;
	}
	.data-users-img {
		left: auto;
		right: -40px;
	}
	.banner5-main-img-wrapper {
		transform: translateY(-50%) scale(0.7);
		transform-origin: right;
	}
    .choosing__area .section-title h2 {
	   padding-right: 0;
	   padding-left: 200px;
    }
    .about__img .p-element .award {
		right: 45px;
		left: auto;
    }
    .choosing__information {
	  margin-right: 0px;
    }
    .counter-left .section-title h2 {
	   padding-left: 0;
    } 
    .portfolio-area .portfolio-container {
	   max-width: calc(((100% - 690px) / 2) + 690px);
    } 
    .copyright-list li {
	   margin-right: 6px;
	   padding-right: 10px;
    }
    .about__content.st-2 {
	  padding-right: 45px;
	  margin-left: 0;
    }
    .subscribe-form.st-3 input {
	 text-align: left;
    }
    .portfolio-details-img-left {
	 margin-left: 0px;
    }
    .portfolio-details-img-right {
	 padding-right: 0px;
    }
    .subscribe-form.st-2 input {
	 text-align: left;
    }


}


@media (max-width: 767px) {
	.p-element .banner5-sh1 {
		display: none;
	}
	.footer5-widget2 {
		margin-right: 0;
	}
	.download-software-btn {
		display: none;
	}
	.header6-logo {
		margin-left: 0 !important;
	}
	.header__search {
	  margin-top: 26px;
    }
    .header__search {
	  margin-right: 0;
    }
    .choosing__information {
	  margin-right: 0;
    }
    .header__search {
	  margin-right: 0;
	  margin-left: -15px;
    }
    .choosing__number {
	  text-align: right;
    }
    .counter-right {
	  text-align: right;
    }
    .subscribe {
	  right: 25px;
	  left: auto;
    }
    .counter-content-left {
	  padding: 20px 20px 0px 20px;
    }
    .about__img .p-element .award {
	 right: 45px;
	 left: auto;
    }
    .about__content.st-2 {
	 padding-right: 0px;
    }
    .choosing-fl-right {
	 margin-right: 30px;
    }
    .about-details{
    	padding-top: 0;
    }
    .sign__wrapper {
	 padding: 20px;
	 padding-bottom: 20px;
	 margin: 0;
    }
    .ablog__meta span:last-child {
	  margin-left: 0;
	  margin-right: 0;
    }
    .ablog__meta span {
	  margin-right: 0;
	  margin-left: 20px;
    }
    .subscribe-form.st-3 input {
	  text-align: left;
    }
    .portfolio-details-img-left {
	 margin-left: 0px;
    }
    .portfolio-details-img-right {
	 padding-right: 0px;
    }
}


@media (min-width: 576px) and (max-width: 767px) {
    .header__search {
	  margin-top: 26px;
    }
    .header__search {
	 margin-right: 0;
	 margin-left: -15px;
    }
    .choosing__information {
	  margin-right: 0;
    }
    .choosing__number {
	  text-align: right;
    }
    .counter-right {
	  text-align: right;
    }
    .team-right {
	 float: right;
    }
    .subscribe-form.st-2 input {
	 text-align: left;
    }
	div.blog-post-img {
		float: none;
	}
	.portfolio-area-slide .portfolio-slide-single {
	 margin-right: 0px;
    }
}

@media only screen  and (max-width: 575px) {
	.hero-content-btn {
	  float: none;
    }
    .counter-left .section-title h2 {
	  padding-right: 0;
	  padding-left: 0;
    }
    .about__img .p-element .award {
	 right: 45px;
	 left: auto;
    }
    .team-right {
	 float: right;
    }
    .subscribe-form.st-2 input {
	  text-align: left;
    }
    .testimonial-area.st-3 .testimonial-nav-3 {
	 float: right;
    }
    .subscribe-form.st-3 input {
	 text-align: left;
    }
    .service-details-heading h2 {
	 font-size: 45px;
    }
   .portfolio-details-img-right {
	 padding-right: 0;
    }
    .portfolio-details-img-left {
	 margin-left: 0px;
    }
    .portfolio-area-slide .portfolio-slide-single {
	 margin-right: 0px;
    }
    div.blog-post-img {
	 float: none;
	}
	.about__content.st-2 {
	 margin-left: 0;
    }
    .header-main-5 .header__search {
	 margin-right: 0px;
	 margin-top: 27px;
    }


}